POST api/sitetimezoneapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteTimeZoneViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| end_date | date |
Required |
|
| id | globally unique identifier |
None. |
|
| offset | decimal number |
Required |
|
| site_id | globally unique identifier |
Required |
|
| start_date | date |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"end_date": "2026-09-27T12:48:38.8891487+00:00",
"id": "002fbf0f-0c16-40e9-9fa9-7b83f9d6b9e8",
"offset": 4.1,
"site_id": "3f4d36d6-b335-4ce1-ae5d-90ea6069bc7c",
"start_date": "2026-09-27T12:48:38.8891487+00:00"
}
application/xml, text/xml
Sample:
<SiteTimeZone xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <end_date>2026-09-27T12:48:38.8891487+00:00</end_date> <id>002fbf0f-0c16-40e9-9fa9-7b83f9d6b9e8</id> <offset>4.1</offset> <site_id>3f4d36d6-b335-4ce1-ae5d-90ea6069bc7c</site_id> <start_date>2026-09-27T12:48:38.8891487+00:00</start_date> </SiteTimeZone>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ef2258ee-4b6a-4751-9429-8fae66d9a26e"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ef2258ee-4b6a-4751-9429-8fae66d9a26e</guid>